org.eclipse.net4j.util.security

## Class PasswordCredentialsProvider.Delegating

- java.lang.Object
- - org.eclipse.net4j.util.security.PasswordCredentialsProvider
  - - org.eclipse.net4j.util.security.PasswordCredentialsProvider.Delegating

- All Implemented Interfaces:
    ICredentialsProvider, IPasswordCredentialsProvider
  Enclosing class:
    PasswordCredentialsProvider

      public static class PasswordCredentialsProvider.Delegating
      extends PasswordCredentialsProvider

  Since:
    3.1
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.security.PasswordCredentialsProvider

      `PasswordCredentialsProvider.Delegating`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.security.IPasswordCredentialsProvider

      `IPasswordCredentialsProvider.Provider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Delegating(IPasswordCredentialsProvider delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IPasswordCredentials` | `getCredentials()`
    `IPasswordCredentialsProvider` | `getDelegate()`
    `boolean` | `isInteractive()`

    - ### Methods inherited from class org.eclipse.net4j.util.security.PasswordCredentialsProvider

      `setCredentials`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Delegating

          public Delegating(IPasswordCredentialsProvider delegate)

  - ### Method Detail

    - #### getDelegate

          public IPasswordCredentialsProvider getDelegate()

    - #### isInteractive

          public boolean isInteractive()

      Specified by:
        `isInteractive` in interface `ICredentialsProvider`
      Overrides:
        `isInteractive` in class `PasswordCredentialsProvider`

    - #### getCredentials

          public IPasswordCredentials getCredentials()

      Specified by:
        `getCredentials` in interface `ICredentialsProvider`
      Specified by:
        `getCredentials` in interface `IPasswordCredentialsProvider`
      Overrides:
        `getCredentials` in class `PasswordCredentialsProvider`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html